package cn.superdesk.uniorder.dto.vo.kafka;



import java.io.Serializable;
import java.util.Date;

/**
 * 这个类是从新系统向老系统推送白名单用户信息的载体!
 * 应该和superdesk-app-transfer项目中接收的实体类保持一致,包括大小写:
 *      cn.superdesk.app.superservice.dto.param.UserParam
 *

 * 用户信息表
 *
 * 数据结构大多是基本老系统
 * // add 为新增加字段
 *
 * 作用:
 * 1. 新系统 到 老系统
 * 2. 分发出去 kafka eg: 商城
 *
 * 问题 与 superdesk-app-transfer/superdesk-app-superservice-dto/src/main/java/cn/superdesk/app/superservice/dto/receive/UserTransmitParam.java
 * 不一样
 *
 *
 * 可以通过引用包
 *
 * <dependency>
 *  <groupId>cn.superdesk.app.transfer</groupId>
 *  <artifactId>superdesk-app-superservice-dto</artifactId>
 *  <version>${parent.version}</version>
 * </dependency>
 *
 * 0.0.1-SNAPSHOT
 *
 * @author linjinyu
 * @email  linjinyu@avic-s.com
 * @date   2019-07-16 15:03:21
 */
@Deprecated
public class UserReceiveParam implements Serializable{

    /**
	 *
	 */
	private static final long serialVersionUID = 851828829524805978L;
	//("ID")
    private Integer id;
    //("姓名")
    private String userName;
    //("昵称")
    private String nickName;
    //("手机号码")
    private String userMobile;
    //("用户类型 -1-低权限用户 0-普通白名单用户 2-被禁用的白名单用户")
    private String userType;
    //("性别")
    private String userSex;
    //("学生号/身份证")
    private String userCardNo;
    //("生日")
    private String birthday;
    //("头像")
    private String userPhotoUrl;
    //("密码")
    private String password;
    //("认证状态")
    private String status;
    //("审核建议")
    private String suggestion;
    //("详细地址")
    private String address;

    //("证件照片1")
    private String imageUrl01;
    //("证件照片2")
    private String imageUrl02;
    //("")
    private String imageUrl03;

    //("运营中心id")
    private Integer compId;
    //("项目id")
    private Integer organizationId;
    //("企业ID")
    private Integer virtualArchId;
    //("部门ID")
    private Integer departmentId;


    //("是否可用")
    private String isEnabled;

    //("员工编号")
    private String userNumber;
    //("入司时间")
    private Date enteringTime;
    //("职位名称")
    private String positionName;


    //("创建者")
    private String creator;
    //("创建时间")
    private Date createTime;
    //("修改人")
    private String modifier;
    //("修改时间")
    private Date modifyTime;



    //("企业用户角色(1-管理员,2-普通用户)")
    private String roleType;
    //("接受审核通知(0-不接收用户申请通知,关,1-接收用户申请通知,开)")
    private String noticePower;



    // miss 之前没同步到商城
    //("1-android 2-ios")
    private Integer deviceType;
    // miss 之前没同步到商城
    //("设备号")
    private String deviceNo;


    // miss 之前没同步到商城
    //("")
    private String remark;
    // miss 之前没同步到商城
    //("积分")
    private Integer integral;
    // miss 之前没同步到商城
    //("航电用户userCode")
    private String usercode;
    // miss 之前没同步到商城
    //("微信用户ID")
    private Integer wxuserid;
    // miss 之前没同步到商城
    //("身份类型id")
    private Long virpermid;
    //("邮箱")
    private String email;
    // miss 之前没同步到商城
    //("排序")
    private Long ordernum;
    // miss 之前没同步到商城
    //("")
    private Integer reorder;


    /* ---------------- face++ start -------------- */
    //("face++用户唯一标识")
    private Integer facePlusUserId;
    // add
    //("face++图片id")
    private Integer facePlusImageId;
    //("")
    private Integer imageId1;
    //("")
    private Integer imageId2;
    //("")
    private Integer imageId3;

    //("")
    private String imageUrl1;
    //("")
    private String imageUrl2;
    //("")
    private String imageUrl3;
    /* ---------------- face++ end   -------------- */

    /* ---------------- 令令开门 start -------------- */
    // miss 之前没同步到商城
    //("令令对接用户员工唯一标识")
    private String linglingId;
    /* ---------------- 令令开门 end   -------------- */


    /* ---------------- 开关 start -------------- */
    //("是否同步内购网")
    private Integer isSyncNeigou;
    // miss 之前没同步到商城
    //("是否责任人")
    private Integer isResponsible;
    // miss 之前没同步到商城
    //("是否有账单推送权限")
    private Integer isPushPower;
    // miss 之前没同步到商城
    //("是否有物品放行权限")
    private Integer isReleasePower;
    //("白名单是否绑定微信用户")
    private Integer isBinding;
    // miss 之前没同步到商城
    //("白名单用户登录状态 0-未登录 1-已登录")
    private Integer isLogin;
    // miss 之前没同步到商城
    //("是否领导1是0不是")
    private Integer isLeader;
    // miss 之前没同步到商城
    //("是否同步空间家")
    private Integer isSyncSpaceHome;
    /* ---------------- 开关 end -------------- */




    // 不要增加值 之前 同步到商城时会有
    //("项目名称")
    private String organizationName;
    //("企业名称")
    private String virtualArchName;
    //("部门名称")
    private String departmentName;
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public String getUserMobile() {
		return userMobile;
	}
	public void setUserMobile(String userMobile) {
		this.userMobile = userMobile;
	}
	public String getUserType() {
		return userType;
	}
	public void setUserType(String userType) {
		this.userType = userType;
	}
	public String getUserSex() {
		return userSex;
	}
	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}
	public String getUserCardNo() {
		return userCardNo;
	}
	public void setUserCardNo(String userCardNo) {
		this.userCardNo = userCardNo;
	}
	public String getBirthday() {
		return birthday;
	}
	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}
	public String getUserPhotoUrl() {
		return userPhotoUrl;
	}
	public void setUserPhotoUrl(String userPhotoUrl) {
		this.userPhotoUrl = userPhotoUrl;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getSuggestion() {
		return suggestion;
	}
	public void setSuggestion(String suggestion) {
		this.suggestion = suggestion;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getImageUrl01() {
		return imageUrl01;
	}
	public void setImageUrl01(String imageUrl01) {
		this.imageUrl01 = imageUrl01;
	}
	public String getImageUrl02() {
		return imageUrl02;
	}
	public void setImageUrl02(String imageUrl02) {
		this.imageUrl02 = imageUrl02;
	}
	public String getImageUrl03() {
		return imageUrl03;
	}
	public void setImageUrl03(String imageUrl03) {
		this.imageUrl03 = imageUrl03;
	}
	public Integer getCompId() {
		return compId;
	}
	public void setCompId(Integer compId) {
		this.compId = compId;
	}
	public Integer getOrganizationId() {
		return organizationId;
	}
	public void setOrganizationId(Integer organizationId) {
		this.organizationId = organizationId;
	}
	public Integer getVirtualArchId() {
		return virtualArchId;
	}
	public void setVirtualArchId(Integer virtualArchId) {
		this.virtualArchId = virtualArchId;
	}
	public Integer getDepartmentId() {
		return departmentId;
	}
	public void setDepartmentId(Integer departmentId) {
		this.departmentId = departmentId;
	}
	public String getIsEnabled() {
		return isEnabled;
	}
	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}
	public String getUserNumber() {
		return userNumber;
	}
	public void setUserNumber(String userNumber) {
		this.userNumber = userNumber;
	}
	public Date getEnteringTime() {
		return enteringTime;
	}
	public void setEnteringTime(Date enteringTime) {
		this.enteringTime = enteringTime;
	}
	public String getPositionName() {
		return positionName;
	}
	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public Date getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getRoleType() {
		return roleType;
	}
	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}
	public String getNoticePower() {
		return noticePower;
	}
	public void setNoticePower(String noticePower) {
		this.noticePower = noticePower;
	}
	public Integer getDeviceType() {
		return deviceType;
	}
	public void setDeviceType(Integer deviceType) {
		this.deviceType = deviceType;
	}
	public String getDeviceNo() {
		return deviceNo;
	}
	public void setDeviceNo(String deviceNo) {
		this.deviceNo = deviceNo;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Integer getIntegral() {
		return integral;
	}
	public void setIntegral(Integer integral) {
		this.integral = integral;
	}
	public String getUsercode() {
		return usercode;
	}
	public void setUsercode(String usercode) {
		this.usercode = usercode;
	}
	public Integer getWxuserid() {
		return wxuserid;
	}
	public void setWxuserid(Integer wxuserid) {
		this.wxuserid = wxuserid;
	}
	public Long getVirpermid() {
		return virpermid;
	}
	public void setVirpermid(Long virpermid) {
		this.virpermid = virpermid;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public Long getOrdernum() {
		return ordernum;
	}
	public void setOrdernum(Long ordernum) {
		this.ordernum = ordernum;
	}
	public Integer getReorder() {
		return reorder;
	}
	public void setReorder(Integer reorder) {
		this.reorder = reorder;
	}
	public Integer getFacePlusUserId() {
		return facePlusUserId;
	}
	public void setFacePlusUserId(Integer facePlusUserId) {
		this.facePlusUserId = facePlusUserId;
	}
	public Integer getFacePlusImageId() {
		return facePlusImageId;
	}
	public void setFacePlusImageId(Integer facePlusImageId) {
		this.facePlusImageId = facePlusImageId;
	}
	public Integer getImageId1() {
		return imageId1;
	}
	public void setImageId1(Integer imageId1) {
		this.imageId1 = imageId1;
	}
	public Integer getImageId2() {
		return imageId2;
	}
	public void setImageId2(Integer imageId2) {
		this.imageId2 = imageId2;
	}
	public Integer getImageId3() {
		return imageId3;
	}
	public void setImageId3(Integer imageId3) {
		this.imageId3 = imageId3;
	}
	public String getImageUrl1() {
		return imageUrl1;
	}
	public void setImageUrl1(String imageUrl1) {
		this.imageUrl1 = imageUrl1;
	}
	public String getImageUrl2() {
		return imageUrl2;
	}
	public void setImageUrl2(String imageUrl2) {
		this.imageUrl2 = imageUrl2;
	}
	public String getImageUrl3() {
		return imageUrl3;
	}
	public void setImageUrl3(String imageUrl3) {
		this.imageUrl3 = imageUrl3;
	}
	public String getLinglingId() {
		return linglingId;
	}
	public void setLinglingId(String linglingId) {
		this.linglingId = linglingId;
	}
	public Integer getIsSyncNeigou() {
		return isSyncNeigou;
	}
	public void setIsSyncNeigou(Integer isSyncNeigou) {
		this.isSyncNeigou = isSyncNeigou;
	}
	public Integer getIsResponsible() {
		return isResponsible;
	}
	public void setIsResponsible(Integer isResponsible) {
		this.isResponsible = isResponsible;
	}
	public Integer getIsPushPower() {
		return isPushPower;
	}
	public void setIsPushPower(Integer isPushPower) {
		this.isPushPower = isPushPower;
	}
	public Integer getIsReleasePower() {
		return isReleasePower;
	}
	public void setIsReleasePower(Integer isReleasePower) {
		this.isReleasePower = isReleasePower;
	}
	public Integer getIsBinding() {
		return isBinding;
	}
	public void setIsBinding(Integer isBinding) {
		this.isBinding = isBinding;
	}
	public Integer getIsLogin() {
		return isLogin;
	}
	public void setIsLogin(Integer isLogin) {
		this.isLogin = isLogin;
	}
	public Integer getIsLeader() {
		return isLeader;
	}
	public void setIsLeader(Integer isLeader) {
		this.isLeader = isLeader;
	}
	public Integer getIsSyncSpaceHome() {
		return isSyncSpaceHome;
	}
	public void setIsSyncSpaceHome(Integer isSyncSpaceHome) {
		this.isSyncSpaceHome = isSyncSpaceHome;
	}
	public String getOrganizationName() {
		return organizationName;
	}
	public void setOrganizationName(String organizationName) {
		this.organizationName = organizationName;
	}
	public String getVirtualArchName() {
		return virtualArchName;
	}
	public void setVirtualArchName(String virtualArchName) {
		this.virtualArchName = virtualArchName;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}






}
